//*******************************************************************************
//                            KERNELCHIP
//  TCP/IP Client class declaration
//  Please visit http://www.kernelchip.ru for details
//  Copyrights 2011
//*******************************************************************************

#ifndef _DIRECT_IP_
#define _DIRECT_IP_

#ifndef MAX_PATH
  #define MAX_PATH 260
#endif

//*******************************************************************************
struct ConnectionParams
{  
  unsigned int remoteport;  
  char remotehost[MAX_PATH];  
  int timeout; // in sec  
};

//*******************************************************************************
class KeTCP_Client
{
  public:
    KeTCP_Client();
    ~KeTCP_Client();
    SetConnectionParams(char* sHost, unsigned int uiPort );    
    bool Send(char* buff, long size);
    int  Recv(char* buff, long szMax);
    bool Reconnect();
    bool Disconnect();
    bool IsConnected();
  private:
    bool MakeInitiolization( );
  private:
    int sockfd;
    ConnectionParams par;    
};
#endif 

//*******************************************************************************
//*******************************************************************************
